
import bpy, ossl.menu as menu

class OSSL_MT_Armature_generate(menu.MenuFolder):
    bl_label = "OSSL Menu Armature Generate"
    bl_idname = "OSSL_MT_Armature_generate"

def OSSL_menu_Armature_generate(self, comtext):
    self.layout.menu(OSSL_MT_Armature_generate.bl_idname, text="generate", icon="TRIA_RIGHT")

import ossl.util as util
   
def register():
    print("registering: OSSL Type Armature Generate")
    bpy.utils.register_class(OSSL_MT_Armature_generate)
    bpy.types.OSSL_MT_Armature.append(OSSL_menu_Armature_generate)
    util.imports("ossl._types.Armature.generate", "generate_default")
    print("registered: OSSL Type Armature Generate")

def unregister():
    print("unregistering: OSSL Type Armature Generate")
    util.release("ossl._types.Armature.generate", "generate_default")
    bpy.types.OSSL_MT_Armature.remove(OSSL_menu_Armature_generate)
    bpy.utils.unregister_class(OSSL_MT_Armature_generate)
    print("unregistered: OSSL Type Armature Generate")

if __name__ == "__main__":
    util.reset_addon()
